<template lang="pug">
  div(id="root")
    div(id="story")
      div(
        v-for="(item, index) in history"
        :key="index")
        | {{ item }}
    div(id="controll")
      textarea(v-model="input" rows="4" cols="50")
      button(@click="send") Send!
</template>

<script>
import { mapState, mapMutations } from 'vuex'

export default {
  data () {
    return {
      input: null
    }
  },
  computed: {
    ...mapState('history', [
      'history'
    ])
  },
  methods: {
    ...mapMutations('history', [
      'addToHostory'
    ]),
    send () {
      this.addToHostory(this.input)
    }
  }
}
</script>

<style lang="sass" scoped>
#root
  display: flex
  flex-direction: column
  justify-content: space-between
  #story
    padding: 1em
    overflow-y: scroll
    height: -webkit-fill-available
    & > *
      border-bottom: 1px solid #ddd
      padding: 5px
  #controll
    padding: 1em
    border-top: 5px solid #ddd
    display: flex
    & > *
      flex-grow: 1
</style>


